server {
    listen 80;
    server_name yalarba.ru \
        www.yalarba.ru \
        easysite102.ru \
        www.easysite102.ru \
        valitovgaziz.ru \
        www.valitovgaziz.ru \
        xn--80abahjtcfl5d0a8di.xn--p1ai \
        www.xn--80abahjtcfl5d0a8di.xn--p1ai \
        begushiybashkir.ru \
        www.begushiybashkir.ru \
        auth.yalarba.ru;

    location / {
        root /usr/share/nginx/stub/html;
        index index.html;
    }

    location /.well-known/acme-challenge/ {
        root /var/www/certbot;
    }
}

# Блок для HTTPS → HTTP редиректа (порт 443)
server {
    listen 443 ssl;
    server_name yalarba.ru www.yalarba.ru easysite102.ru www.easysite102.ru valitovgaziz.ru www.valitovgaziz.ru xn--80abahjtcfl5d0a8di.xn--p1ai www.xn--80abahjtcfl5d0a8di.xn--p1ai begushiybashkir.ru www.begushiybashkir.ru;

    # Указание пустых сертификатов (обязательно для запуска Nginx)
    ssl_certificate /etc/nginx/ssl/dummy.crt;
    ssl_certificate_key /etc/nginx/ssl/dummy.key;

    # Редирект всех HTTPS-запросов на HTTP
    return 301 http://$host$request_uri;
}